import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { RouterModule } from '@angular/router';

import { AppComponent } from './app.component';
import { NavbarComponent } from './shared/navbar/navbar.component';
import { FooterComponent } from './shared/footer/footer.component';

import { ComponentsModule } from './components/components.module';
import { NotFoundComponent } from './pages/not-found/not-found.component';
import { AppRoutingModule } from './app-routing.module';
import { ResumeComponent } from './pages/resume/resume.component';
import { GamesDashboardComponent } from './pages/games-dashboard/games-dashboard.component';
import { ProjectDashboardComponent } from './pages/project-dashboard/project-dashboard.component';
import { PageHeaderModule } from './page-header/page-header.module';
import { MagneticRecyclingQueenComponent } from './pages/game-dashboard/magnetic-recycling-queen/magnetic-recycling-queen.component';
import { WhatTheFungiComponent } from './pages/game-dashboard/what-the-fungi/what-the-fungi.component';
import { LaserBluesComponent } from './pages/game-dashboard/laser-blues/laser-blues.component';
import { SaltyPiranhaComponent } from './pages/game-dashboard/salty-piranha/salty-piranha.component';
import { KeepInTouchComponent } from './pages/keep-in-touch/keep-in-touch.component';
import { ImpressumComponent } from './shared/impressum/impressum.component';
import { MusicComponent } from './pages/music/music.component';
import { ResumePdfComponent } from './pages/resume-pdf/resume-pdf.component';
import { PdfHeaderComponent } from './page-header/pdf-header/pdf-header.component';
import { MusicHeaderComponent } from './page-header/music-header/music-header.component';
import { ServiceWorkerModule } from '@angular/service-worker';
import { FontAwesomeModule } from '@fortawesome/angular-fontawesome';


@NgModule({
  declarations: [
    AppComponent,
    NavbarComponent,
    FooterComponent,
    NotFoundComponent,
    ResumeComponent,
    GamesDashboardComponent,
    ProjectDashboardComponent,
    MagneticRecyclingQueenComponent,
    WhatTheFungiComponent,
    LaserBluesComponent,
    SaltyPiranhaComponent,
    KeepInTouchComponent,
    ImpressumComponent,
    MusicComponent,
    MusicHeaderComponent,
    ResumePdfComponent,
    PdfHeaderComponent,
  ],
  imports: [
    BrowserModule,
    NgbModule,
    FormsModule,
    RouterModule,
    AppRoutingModule,
    ComponentsModule,
    PageHeaderModule,
    ServiceWorkerModule.register('ngsw-worker.js', { enabled: true }),
    FontAwesomeModule,
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
