import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { FormsModule } from '@angular/forms';
import { NouisliderModule } from 'ng2-nouislider';
import { JwBootstrapSwitchNg2Module } from 'jw-bootstrap-switch-ng2';
import { RouterModule, Router } from '@angular/router';

import { NotificationComponent } from './notification/notification.component';
import { PageHeaderModule } from 'app/page-header/page-header.module';

@NgModule({
    imports: [
        PageHeaderModule,
        CommonModule,
        FormsModule,
        NgbModule,
        NouisliderModule,
        RouterModule,
        JwBootstrapSwitchNg2Module,
    ],
    declarations: [
        NotificationComponent,
    ],
    entryComponents: [],
    exports: [ NotificationComponent]
})
export class ComponentsModule { }
